/* ====================================================== */
/* ====================================================== */
/* THE STRUCTURED CSS SELECTORS INSTEAD OF ORIGINAL ONES  */
/* ==================== QUICK SEARCH ==================== */
/* ======================== Moss ======================== */
/* ====================================================== */
/* ====================================================== */



:root {
    --main-margin: 10px;
    --text-color: #000;
    --klevu-cyan-blue: #363636;
    --klevu-dark-grey: #222222;
    --klevu-white: #fff;
    --klevu-light: #ddd;
    --klevu-red: red;
    --klevu-scroll-track-color-primary: #e7e7e7;
    --klevu-scroll-thumb-color-primary: #8d8d8d;
    --klevu-scroll-track-color-secondary: #ccc;
    --klevu-scroll-thumb-color-secondary: #5a5a5a;
    --klevu-font-size-tiny: 12px;
    --klevu-font-size-small: 14px;
    --klevu-font-size-base: 16px;
    --klevu-font-weight-base: normal;
    --klevu-font-weight-bold: bold;
    --klevu-outer-max-width: 1440px;
    --klevu-inner-max-width: 1440px;
    --klevu-letter-spacing: 1px;
    --klevu-product-minsize: 220px;
    --klevu-product-minsize-mobile: 150px;
    --klevu-container-max-height: 75vh;
    --klevu-container-max-height-mobile: 75vh;
    --klevu-image-fit: cover; /* contain */
    --klevu-image-position: top; /* center */
    --klevu-filters-width: 20%;
    --klevu-filters-max-width: 300px;
    --klevu-min-character-text: 'Please type in at least 3 letters...';
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .klevuWrap,
.kuQuickSearchResultsContainer.klevuTarget.klevu-fluid.kuQuickSearchFacetedLayout .klevuWrap {
    position: absolute !important;
    left: 50% !important;
    transform: translateX(-50%);
    background: var(--klevu-white);
    height: auto;
    margin: 5px auto auto auto;
    max-width: var(--klevu-outer-max-width) !important;
    min-width: 300px !important;
    padding: 0;
    width: 100% !important;
    color: var(--text-color);
    box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -4px rgba(0, 0, 0, 0.1);
}

/* .kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .klevuQuickSearchingArea {
    max-height: var(--klevu-container-max-height-mobile);
    overflow-y: auto;
} */

/***** INITIAL SCREEN *****/
.kuQuickSearchResultsContainer #klevuSearchingArea .kuSearchPersonalizationsContainer [data-container-role="content"] {
    margin: 0;
    padding: 0;
    border: 0;
    box-sizing: border-box;
    box-shadow: none;
    position: relative;
    max-width: 100%;
    display: flex;
    width: auto;
    gap: 20px;
}

/* Popular searches & recent searches text block */
.kuQuickSearchResultsContainer #klevuSearchingArea .kuSearchPersonalizationsContainer [data-container-id="ku_quick_main_content_left"] {
    width: auto;
    padding-right: 0;
    min-width: 280px;
}

.kuQuickSearchResultsContainer #klevuSearchingArea [data-block-id="ku_quick_left_call_outs"] {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.kuQuickSearchResultsContainer #klevuSearchingArea [data-block-id="ku_quick_left_call_outs"] .kuPopularSearchesBlock,
.kuQuickSearchResultsContainer #klevuSearchingArea [data-block-id="ku_quick_left_call_outs"] .kuRecentSearchesBlock,
.kuQuickSearchResultsContainer #klevuSearchingArea .klevuSuggestionsBlock .klevuAutoSuggestionsWrap {
    margin-bottom: 0;
}

.kuQuickSearchResultsContainer #klevuSearchingArea .klevuSuggestionHeading,
.kuQuickSearchResultsContainer #klevuSearchingArea .kuSearchPersonalizationsContainer .klevuResultsBlock .klevuSuggestionHeading {
    text-transform: none;
    padding: 0;
    font-size: 1.125rem;
    line-height: 1.75rem;
    margin-bottom: 0.5rem;
    color: #000 !important;
    font-family: Mont, Roboto, Helvetica Neue, Arial, sans-serif;
}

.kuQuickSearchResultsContainer #klevuSearchingArea .kuSearchPersonalizationsContainer .kuPopularSearchesBlock .kuPopularSearchTerms ul li a,
.kuQuickSearchResultsContainer #klevuSearchingArea .kuSearchPersonalizationsContainer .kuRecentSearchesBlock .kuRecentSearchTerms ul li a,
.kuQuickSearchResultsContainer #klevuSearchingArea .klevuSuggestionsBlock .klevuAutoSuggestionsWrap ul li a {
    padding: 5px 0;
}

.kuQuickSearchResultsContainer #klevuSearchingArea .kuSearchPersonalizationsContainer [data-container-id="ku_quick_main_content_center"] {
    width: 100%;
}

.kuQuickSearchResultsContainer.kuEmptySearchBox #klevuSearchingArea [data-container-id="ku_quick_main_content_center"] {
    overflow: hidden;
}

.kuQuickSearchResultsContainer.kuSearchBoxWithTerm.klevuTarget.klevu-fluid [data-container-id="ku_quick_main_content_center"] {
    margin: 30px 0 0 30px;
}

/* Container of the Trending & Recently viewed sliders */
.kuQuickSearchResultsContainer #klevuSearchingArea .kuSearchPersonalizationsContainer [data-block-id="ku_quick_other_items"] {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.kuQuickSearchResultsContainer #klevuSearchingArea .kuRecommendationSlider.klevuResultsBlock {
    display: block;
}

.kuQuickSearchResultsContainer #klevuSearchingArea .kuRecommendationSlider .klevuQuickSearchResults {
    position: relative;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.kuQuickSearchResultsContainer #klevuSearchingArea .kuRecommendationSlider .klevuQuickSearchResults#trendingProductList {
    margin-bottom: 20px;
}

/* Trending & Recently viewed Carousel */
.kuQuickSearchResultsContainer #klevuSearchingArea .kuRecommendationSlider .kuCarousel {
    height: auto;
}

.kuQuickSearchResultsContainer #klevuSearchingArea .kuRecommendationSlider .kuSlide .klevuProductItemTop .klevuQuickImgWrap {
    border: 0;
    overflow: visible;
}

.kuQuickSearchResultsContainer #klevuSearchingArea .kuRecommendationSlider .kuSlide .klevuProductItemBottom .klevuQuickProductName {
    display: block !important;
}

/* END OF Trending & Recently viewed Carousel */
/***** END OF INITIAL SCREEN *****/

/**** AFTER TYPED ANY SYMBOL ****/
/* FACETED LAYOUT: Main Product Block */
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout [data-container-role="left"] {
    max-width: none;
    width: var(--klevu-filters-width);
    max-width: var(--klevu-filters-max-width);
    min-width: 200px;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout.kuSearchBoxWithTerm [data-container-role="left"]::before {
    content: 'Filter by';
    position: absolute;
    top: -20px;
    left: 0;
    z-index: 1;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout.kuSearchBoxWithTerm.kuPersonalizedSearchRecsEnabled [data-container-role="left"]::before {
    top: -20px;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout [data-block-id="ku_quick_left_facets"] {
    padding-right: 10px;
    max-height: calc(var(--klevu-container-max-height) + 40px);
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuFilters {
    padding: 10px 0 0;
    font-family: Roboto, Helvetica Neue, Arial, sans-serif;
}

/* FACETED LAYOUT: filters */
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuFilters .kuFilterBox {
    /* margin-bottom: 20px;
    padding-bottom: 20px; */
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuFilterBox .kuFilterHead {
    border: 0;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuPriceSlider {
    min-height: 70px;
}

.kuQuickSearchResultsContainer #klevuSearchingArea .kuRecommendationSlider .kuCarousel-content::-webkit-scrollbar,
.kuQuickSearchResultsContainer .klevuQuickSearchResults .kuQuickResultsListContainer::-webkit-scrollbar,
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout [data-block-id="ku_quick_left_facets"]::-webkit-scrollbar {
    width: 5px;
    height: 5px; /* Controls the height of the horizontal scrollbar */
}

.kuQuickSearchResultsContainer #klevuSearchingArea .kuRecommendationSlider .kuCarousel-content::-webkit-scrollbar-track,
.kuQuickSearchResultsContainer .klevuQuickSearchResults .kuQuickResultsListContainer::-webkit-scrollbar-track,
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout [data-block-id="ku_quick_left_facets"]::-webkit-scrollbar-track {
    background-color: var(--klevu-scroll-track-color-primary);
    width: 5px;
}

.kuQuickSearchResultsContainer #klevuSearchingArea .kuRecommendationSlider .kuCarousel-content::-webkit-scrollbar-thumb,
.kuQuickSearchResultsContainer .klevuQuickSearchResults .kuQuickResultsListContainer::-webkit-scrollbar-thumb,
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout [data-block-id="ku_quick_left_facets"]::-webkit-scrollbar-thumb {
    width: 5px;
    background-color: var(--klevu-scroll-thumb-color-primary);
    border-radius: 2px;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuFilterBox .kuFilterHead.kuCollapse+.kuFilterNames {
    margin-bottom: 20px;
    height: auto;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuShowOpt {
    bottom: 10px;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuFilterNames:not(.kuFilterShowAll) .kuShowOpt [data-class=showMore] {
    display: inline-block
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuFilterShowAll .kuShowOpt [data-class=showLess] {
    display: inline-block
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuFilterNames:not(.kuFilterShowAll) .kuShowOpt [data-class=showLess],
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuFilterShowAll .kuShowOpt [data-class=showMore],
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuFilterNames ul li:nth-of-type(n+6) {
    display: none
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuFilterNames.kuFilterShowAll ul li:nth-of-type(n+6) {
    display: block
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuFilterNames .ku-showMore {
    border: 0;
    background-color: transparent;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuFilterNames .ku-showMore,
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuFilterNames .ku-showMore {
    cursor: pointer;
}

.kuQuickSearchResultsContainer #klevuSearchingArea .kuSearchPersonalizationsContainer .kuPopularSearchesBlock .kuPopularSearchTerms ul li,
.kuQuickSearchResultsContainer #klevuSearchingArea .kuSearchPersonalizationsContainer .kuRecentSearchesBlock .kuRecentSearchTerms ul li,
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuContainer .kuTabs a {
    padding: 5px 0;
    text-transform: capitalize;
    font-family: Roboto, Helvetica Neue, Arial, sans-serif;

}

/* FACETED LAYOUT: products */
.kuQuickSearchResultsContainer .klevuQuickSearchResults .kuQuickResultsListContainer {
    max-height: var(--klevu-container-max-height);
    width: 100%;
    height: 100%;
    padding-right: 15px;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout [data-container-role="main"] {
    max-width: var(--klevu-inner-max-width) !important;
    width: 100% !important;
    padding: 15px;
    font-weight: var(--klevu-font-weight-bold);
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout [data-container-role="main"] [data-container-id="ku_quick_main_header_container"] .kuBannerContainer {
    margin-bottom: 20px;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout.kuEmptySearchBox:not(.kuPersonalizedSearchRecsEnabled) [data-container-role="main"]::after {
    content: var(--klevu-min-character-text);
    font-weight: var(--klevu-font-weight-bold);
    text-transform: capitalize;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: -1;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuContainer {
    margin: 0;
    max-width: none;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .klevuWrap.cmsCompressedActive .klevu-desc-l2.kuClippedOne {
    -webkit-line-clamp: 3;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .klevuWrap.cmsCompressedActive .header-kuContainer-title {
    opacity: 0;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .header-kuContainer-title {
    text-align: right;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuQuickSearchNoRecordFound .klevuQuickHeadingText,
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuQuickSearchNoRecordFound .kuNoResultsPopularSearchHeading .klevuQuickHeadingText,
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuQuickSearchNoRecordFound .kuQuickNoResultsMessage,
.kuQuickSearchResultsContainer #klevuSearchingArea .klevuSuggestionHeading,
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuFilterBox .kuFilterHead,
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .header-kuContainer-title,
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout [data-container-role="left"]::before,
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuFilters .kuFilters-title {
    font-weight: var(--klevu-font-weight-bold);
    text-transform: uppercase;
    font-size: var(--klevu-font-size-base);
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout.kuSearchBoxWithTerm .kuTabs {
    border-bottom: 0;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuContainer .kuTabs a:hover {
    border-bottom: 1px solid var(--klevu-light);
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuContainer .kuTabs a.kuTabSelected {
    background-color: transparent;
    border-bottom: 1px solid var(--klevu-dark-grey);
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuQuickSearchNoRecordFound .klevuQuickSearchNoResultsPopular>ul,
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .klevuQuickSearchResults ul {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(var(--klevu-product-minsize), 1fr));
    gap: 15px;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .klevuQuickSearchResults.cmsCompressed ul {
    display: flex;
    flex-direction: column;
}

.kuQuickSearchResultsContainer #klevuSearchingArea .kuRecommendationSlider .kuCarousel-content {
    width: 100%;
    height: 100%;
    padding-right: 15px;
    padding-bottom: 15px;
    display: grid;
    grid-auto-flow: column;
    grid-template-columns: repeat(auto-fill, minmax(var(--klevu-product-minsize), 1fr));
    gap: 15px;
    overflow-x: auto;
}

.kuQuickSearchResultsContainer #klevuSearchingArea .kuRecommendationSlider .kuCarousel-content .kuSlide {
    position: unset;
    max-width: var(--klevu-product-minsize);
    min-width: var(--klevu-product-minsize);
    width: var(--klevu-product-minsize);
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout ul li.klevuProduct:hover {
    background-color: transparent;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout ul li.klevuProduct:hover .klevuQuickProductName {
    text-decoration: underline;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout ul li.klevuProduct {
    width: auto !important;
    border: 0 !important;
    float: none;
    height: 100%;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .cmsCompressed ul li.klevuProduct {
    border-bottom: 1px solid var(--klevu-light) !important;
    padding-bottom: 20px;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout ul li.klevuProduct .klevuQuickProductInnerBlock {
    padding: 0;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .cmsCompressed ul li.klevuProduct .klevuQuickProductInnerBlock {
    display: grid;
    grid-template-columns: var(--klevu-product-minsize) 1fr;
    gap: 1rem;
}

/* Square images */
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuQuickSearchNoRecordFound li.klevuPopularProduct .klevuPopularProductItemTop,
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .klevuQuickProductInnerBlock .klevuProductItemTop {
    width: 100% !important;
    height: 0 !important;
    padding-bottom: 100% !important;
    position: relative !important;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .cmsCompressed .klevuQuickProductInnerBlock .klevuProductItemTop {
    width: auto !important;
    height: auto !important;
    padding: 0 !important;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .cmsCompressed .klevuQuickProductInnerBlock .klevuProductItemTop .klevuQuickImgWrap img {
    position: relative;
    left: auto;
    right: auto;
    width: 100% !important;
    height: auto !important;
    aspect-ratio: 1 / 1;
    object-fit: var(--klevu-image-fit);
    z-index: 1;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .cmsCompressed .klevuQuickProductInnerBlock .klevuProductItemTop .klevuQuickImgWrap img[src="https://js.klevu.com/klevu-js-v1/img-1-1/place-holder.jpg"] {
    opacity: 0;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .cmsCompressed .klevuQuickProductInnerBlock .klevuProductItemTop::after {
    content: 'No image';
    font-size: var(--klevu-font-size-tiny);
    color: var(--text-color);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 0;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuQuickSearchNoRecordFound li.klevuPopularProduct .klevuQuickImgWrap,
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .klevuQuickProductInnerBlock .klevuProductItemTop .klevuQuickImgWrap {
    display: block;
    max-width: 100% !important;
    max-height: 100% !important;
    height: auto !important;
    width: auto !important;
    position: unset !important;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuQuickSearchNoRecordFound li.klevuPopularProduct .klevuQuickImgWrap img,
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .klevuQuickProductInnerBlock .klevuProductItemTop .klevuQuickImgWrap img {
    object-fit: var(--klevu-image-fit);
    object-position: var(--klevu-image-position);
    width: 100% !important;
    height: 100% !important;
    left: 0;
    right: 0;
    position: absolute;
}

/* Square images end */

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuQuickSearchNoRecordFound li.klevuPopularProduct .klevuPopularProductItemBottom,
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .klevuQuickProductInnerBlock .klevuProductItemBottom {
    margin-top: 15px;
    padding: 0;
    min-height: unset;
    width: 100%;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .cmsCompressed .klevuQuickProductInnerBlock .klevuProductItemBottom  {
    width: auto;
    display: flex;
    align-items: center;
    margin: 0;
    padding: 0;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .klevuQuickProductInnerBlock .klevuQuickProductDescBlock {
    margin: 0;
    float: none;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .klevuQuickProductInnerBlock .klevuQuickProductName {
    display: block !important;
    text-transform: none;
    color: #000;
    font-size: 1rem;
    margin-bottom: 10px;
    font-family: Mont, Roboto, Helvetica Neue, Arial, sans-serif;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .klevuQuickProductInnerBlock .klevuQuickProductDesc {
    display: block !important;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .klevuQuickProductInnerBlock .klevuQuickProductPrice {
    margin-top: auto;
    display: flex !important;
    flex-wrap: wrap;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .klevuQuickProductInnerBlock .klevuQuickProductPrice .klevuQuickSalePrice {
    display: flex;
    flex-wrap: wrap;
    color: #e0091d;
    font-size: 17px;
    margin-top: 5px;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .klevuQuickProductInnerBlock .klevuQuickProductPrice .klevuQuickSalePrice.klevuQuickSpecialPrice {
    font-weight: 600;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout ul li.klevuProduct .kuAddtocart.klevuQuickAddtoCart .klevuQuickCartBtn {
    padding: 5px 10px;
    font-size: var(--klevu-font-size-small) !important;
}

/* FACETED LAYOUT: list view */
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout.kuSearchBoxWithTerm .klevuQuickSearchResults[data-result-view="list"] .kuQuickResultsListContainer ul {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout.kuSearchBoxWithTerm .klevuQuickSearchResults[data-result-view="list"] li.klevuProduct {
    width: auto !important;
    border: 0;
    float: none;
    height: 100%;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout.kuSearchBoxWithTerm .klevuQuickSearchResults[data-result-view="list"] li.klevuProduct .klevuQuickProductInnerBlock {
    display: flex;
    padding: 0;
    gap: 20px;
    flex-direction: row;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout.kuSearchBoxWithTerm .klevuQuickSearchResults[data-result-view="list"] .klevuProductItemTop {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0;
    width: auto;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout.kuSearchBoxWithTerm .klevuQuickSearchResults[data-result-view="list"] .klevuQuickImgWrap {
    height: auto !important;
    width: auto !important;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout.kuSearchBoxWithTerm .klevuQuickSearchResults[data-result-view="list"] .klevuQuickImgWrap img {
    max-width: 300px !important;
    max-height: 200px !important;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout.kuSearchBoxWithTerm .klevuQuickSearchResults[data-result-view="list"] .klevuProductItemBottom {
    margin-top: 0;
    padding: 0;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout.kuSearchBoxWithTerm .klevuQuickSearchResults[data-result-view="list"] .klevuQuickProductDescBlock {
    margin: 0;
    float: none;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout.kuSearchBoxWithTerm .klevuQuickSearchResults[data-result-view="list"] .klevuQuickProductName {
    display: block !important;
    color: var(--text-color);
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout.kuSearchBoxWithTerm .klevuQuickSearchResults[data-result-view="list"] .klevu-desc-l2 {
    display: block !important;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout.kuSearchBoxWithTerm .klevuQuickSearchResults[data-result-view="list"] .klevuQuickOrigPrice {
    color: var(--klevu-red);
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout.kuSearchBoxWithTerm .klevuQuickSearchResults[data-result-view="list"] .klevuQuickSalePrice.klevuQuickSpecialPrice {
    font-weight: 600;
}

/* FACETED LAYOUT: products END */

/* FACETED LAYOUT: No results */
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuQuickSearchNoRecordFound {
    margin: 0;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuQuickSearchNoRecordFound .kuQuickNoResults {
    margin: 0;
    max-width: 100%;
    text-align: center;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuQuickSearchNoRecordFound .kuQuickNoResultsMessage {
    margin-bottom: 20px;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuQuickSearchNoRecordFound .klevuNoResultsProductsBlock {
    margin: 20px 0;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuQuickSearchNoRecordFound .klevuPopularProductsHeading,
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuQuickSearchNoRecordFound .kuNoResultsPopularSearchHeading {
    padding: 0;
    margin: 20px 0;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuQuickSearchNoRecordFound .klevuQuickHeadingText,
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuQuickSearchNoRecordFound .kuNoResultsPopularSearchHeading .klevuQuickHeadingText {
    margin-bottom: 20px;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuQuickSearchNoRecordFound .klevuQuickSearchNoResultsPopular ul li:hover {
    background-color: transparent;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuQuickSearchNoRecordFound li.klevuPopularProduct {
    border: 0;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuQuickSearchNoRecordFound li.klevuPopularProduct .klevuQuickPopularProductInnerBlock {
    padding: 0;
    display: flex;
    flex-direction: column;
    height: 100%;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuQuickSearchNoRecordFound li.klevuPopularProduct .klevuPopularProductItemTop {
    padding: 0;
    width: 100%;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuQuickSearchNoRecordFound li.klevuPopularProduct .klevuQuickImgWrap {
    height: auto !important;
    width: auto !important;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuQuickSearchNoRecordFound li.klevuPopularProduct .klevuPopularProductItemBottom {
    float: none;
    width: 100%;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuQuickSearchNoRecordFound li.klevuPopularProduct .klevuQuickPopularProductDescBlock {
    margin: 0;
    float: none;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuQuickSearchNoRecordFound li.klevuPopularProduct .klevuQuickProductName {
    display: block !important;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuQuickSearchNoRecordFound li.klevuPopularProduct .klevuQuickProductPrice {
    margin: 10px 0;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuQuickSearchNoRecordFound li.klevuPopularProduct .klevuQuickSalePrice {
    display: flex;
    flex-wrap: wrap;
    color: #e0091d;
    font-size: 17px;
    margin-top: 5px;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuQuickSearchNoRecordFound .kuNoResultsPopularSearchesBlock {
    padding: 0;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuQuickSearchNoRecordFound .kuNoResultsPopularSearchTerms>ul {
    padding: 0;
    display: flex;
    gap: 10px;
    margin: 10px 0;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuQuickSearchNoRecordFound .kuNoResultsPopularSearchTerms>ul>li:hover {
    background-color: transparent;
}

.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuQuickSearchNoRecordFound .kuNoResultsPopularSearchTerms .kuNoResultsPopularSearchTerm>a {
    padding: 0;
}

/* FACETED LAYOUT: No results END */
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuResultsHeadingTitleContainer,
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .klevuQuickSearchingArea .kuQuickSearchNoRecordFound .kuDividerLine,
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .klevuQuickSearchingArea .kuCarousel .nav,
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuFilterBox .kuFilterNames ul li a .kuFilterTotal,
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuFilterBox .kuFilterHead.kuCollapse::after,
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuFilterBox .kuFilterHead.kuExpand::after,
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .klevuResultsBlock .klevuQuickSearchResults ul:before,
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuQuickResultsListHeader .kuQuickResultsViewSwitchContainer,
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuClearLeft,
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuClearBoth,
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuQuickResultsListHeader .kuQuickFacetedLayoutSort .kuDropdownOptions,
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuQuickSearchNoRecordFound li.klevuPopularProduct .klevu-desc-l2 {
    display: none !important;
    visibility: hidden;
}



@media screen and (max-width: 640px) {

    .kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .header-kuContainer-title {
        text-align: center;
    }

    .kuQuickSearchResultsContainer #klevuSearchingArea .kuRecommendationSlider .kuCarousel-content,
    .kuQuickSearchResultsContainer .klevuQuickSearchResults .kuQuickResultsListContainer {
        width: 100%;
        height: 100%;
    }

    .kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuQuickSearchNoRecordFound .klevuQuickSearchNoResultsPopular>ul,
    .kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .klevuQuickSearchResults ul {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(var(--klevu-product-minsize-mobile), 1fr));
        gap: 15px;
    }

    .kuQuickSearchResultsContainer.kuEmptySearchBox #klevuSearchingArea .kuRecommendationSlider .kuCarousel-content {
        grid-template-columns: repeat(auto-fill, minmax(var(--klevu-product-minsize-mobile), 1fr));
        padding: 0;
    }

    .kuQuickSearchResultsContainer #klevuSearchingArea .kuRecommendationSlider .kuCarousel-content .kuSlide {
        max-width: var(--klevu-product-minsize-mobile);
        min-width: var(--klevu-product-minsize-mobile);
        width: var(--klevu-product-minsize-mobile);
    }

    .kuQuickSearchResultsContainer #klevuSearchingArea .kuSearchPersonalizationsContainer [data-container-role="content"] {
        flex-direction: column;
    }

    .kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout [data-container-role="left"] {
        display: none !important;
        visibility: hidden !important;
    }

    .kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .klevuWrap .header-kuContainer-title {
        margin-bottom: 20px;
    }

    .kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout ul li.klevuProduct {
        display: flex;
        flex-direction: column;
    }

    .kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout ul li.klevuProduct .kuAddtocart.klevuQuickAddtoCart {
        margin-top: auto;
        position: unset;
    }

    .kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout ul li.klevuProduct .kuAddtocart.klevuQuickAddtoCart .klevuQuickCartBtn {
        margin: 0;
    }

    .kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout [data-container-role="main"] {
        padding: 20px;
    }

    .kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout.kuSearchBoxWithTerm [data-content="productList"] [data-container-id="ku_quick_main_content_center"],
    .kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout.kuSearchBoxWithTerm [data-container-id="ku_quick_main_content_center"] {
        margin: 0;
    }

    .kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout ul li.klevuProduct .klevuQuickProductInnerBlock {
        margin-bottom: 10px;
    }

    .kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .cmsCompressed ul li.klevuProduct .klevuQuickProductInnerBlock {
        display: flex;
        flex-direction: column;
    }

    .kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .cmsCompressed ul li.klevuProduct .klevuQuickProductInnerBlock {
        grid-template-columns: 1fr;
        grid-template-rows: min-content min-content;
    }

    .kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .cmsCompressed .klevuQuickProductInnerBlock .klevuProductItemTop .klevuQuickImgWrap img {
        max-width: var(--klevu-product-minsize) !important;
    }

}
.kuQuickSearchFacetedLayout>div, .kuEmptySearchBox.klevuTarget.kuQuickSearchResultsContainer.kuPersonalizedSearchRecsEnabled>div{
    border-radius: 0.25rem;
    max-height: 75vh;
    max-width: 815px!important;
    margin-top: 0.5rem;
    font-size: 0.875rem;
    line-height: 1.25rem;
    box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -4px rgba(0, 0, 0, 0.1);
    font-family: Mont, Roboto, Helvetica Neue, Arial, sans-serif;

}
.kuPopularSearchesBlock .klevuHeadingText,
.kuRecentSearchesBlock .klevuHeadingText,
.klevuResultsBlock .klevuHeadingTex{
    font-size: 1.125rem;
    line-height: 1.75rem;
    margin-bottom: 0.5rem;
    text-transform: none!important;
    color:#000!important;
    font-family: Mont, Roboto, Helvetica Neue, Arial, sans-serif;
}

.kuPopularSearchTerms ul li a,
.kuRecentSearchTerms ul li a{
    font-size: 16px;
    background-color: #e7e8e9;
    width: auto;
    display: inline-block!important;
    padding: 10px 20px!important;
    border-radius: 2.25rem;
    font-weight: 700;
    text-transform: capitalize;
}
.kuPopularSearchTerms li:hover,
.kuRecentSearchTerms li:hover{
    background-color: transparent!important;
}

.kuPriceSlider .noUi-connect{
    background: #e61e25;
}
.kuFilterHead.kuCollapse,
.kuFilters .kuFilterHead.kuExpand{
    display:flex;
    align-items: center;
}
.kuFilters .kuFilterHead.kuCollapse{
    order: 1;
}
.kuFilters .kuFilterHead.kuCollapse:before{
    content:"";
    background-image: url("../../images/icon/arrow-down.svg");
    background-repeat: no-repeat;
    background-size: 100%;
    height: 20px;
    width: 22px;
    display: block!important;
    margin-left: auto;
    transform: rotate(180deg);
    order: 2;

}
.kuFilters .kuFilterHead.kuExpand:before{
    content:"";
    transform: rotate(0deg);
    background-image: url("../../images/icon/arrow-down.svg");
    background-repeat: no-repeat;
    background-size: 100%;
    height: 20px;
    width: 22px;
    display: block!important;
    margin-left: auto;
    order: 2;
}
.search-index-index .page-main .kuFilters .kuFilterHead.kuCollapse:after,
.search-index-index .page-main .kuFilters .kuFilterHead.kuExpand:after{
    display:none!important;
}
.klevuResultsBlock{
    padding: 0 10px 0 20px
}
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .kuFilters .kuFilterBox{
    border-top: 1px solid #374151;
    padding-top: 10px;
    margin-bottom: 0!important;
}
.klevuWrap .klevuQuickSearchingArea{
    border-radius: 0.25rem;
    background: #fff;
}
.klevuResultsBlock .klevuQuickSearchResults ul li .klevuQuickPriceGreyText{
    display: none!important;
}
.klevuResultsBlock .klevuQuickSearchResults ul li a.klevuQuickProductInnerBlock{
    height: 100%;
    display: flex!important;
    flex-direction: column;
}
.kuQuickSearchFacetedLayout .klevuResultsBlock [data-result-view='grid'].klevuQuickSearchResults .klevuProductItemBottom{
    flex: 1;
}
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .klevuQuickProductInnerBlock .klevuQuickProductDescBlock{
    display: flex;
    flex-direction: column;
    height: 100%;
}

.klevuQuickSearchingArea [ku-container][data-container-role="content"]{
    display: flex;
}
.klevuQuickSearchingArea [ku-container][data-container-id="ku_quick_main_content_center"]{
    width: 100%
}

body.klevu-open::after{
    content: "";
    background-color: rgba(0, 0, 0, 0.5);
    display: block;
    width: 100%;
    height: 100%;
    position: fixed;
    left: 0;
    z-index: 3;
    top: 0;
}
.klevuQuickSearchResults.klevuMeta.cmsCompressed .klevuProductItemTop{
    display:none!important;
}
.klevuQuickSearchResults.klevuMeta.cmsCompressed .klevu-desc-l2{
    display:none!important;
}
.klevuQuickSearchResults.klevuMeta.cmsCompressed .klevuQuickProductName{
    margin-bottom: 0;
}
.klevuQuickSearchResults.klevuMeta.cmsCompressed .klevuProduct{
    min-height: auto!important;
    height: auto!important;
}
.klevuQuickSearchResults.klevuMeta.cmsCompressed .klevuProductItemBottom{
    padding-bottom: 10px;
}
.klevuQuickSearchNoResultsPopular .klevuQuickPriceGreyText{
    display: none;
}
.kuQuickSearchNoRecordFound .klevuNoResultsProductsBlock .klevuQuickSearchNoResultsPopular ul li .klevuQuickProductName{
    color:#000;
    font-size: 1rem;
}
.kuQuickSearchResultsContainer.kuQuickSearchFacetedLayout .cmsCompressed ul li.klevuProduct{
    padding-bottom: 10px!important;
}
.kuSearchResultsPageContainer .kuContainer{
    max-width: 100%
}
.kuSearchResultsPageContainer [ku-container][data-container-role="main"]{
    width: 100%;
}
.kuSearchResultsPageContainer .kuResults ul li{
    width: 33.3333%;
    height: auto;
}
.kuSearchResultsPageContainer .kuResults ul li .kuProdWrap{
    border: 0;
    height: 100%;
    display: flex;
    flex-direction: column;
}
.kuSearchResultsPageContainer .kuResults ul li .kuProdWrap footer{
    flex: 1;
}
.kuSearchResultsPageContainer .kuResults ul li .kuName a{
    color:#000;
    font-size: 1.125rem;
    line-height: 1.75rem;
    font-family: Mont, Roboto, Helvetica Neue, Arial, sans-serif;
}
.klevuNoResultsRecs-itemPrice .kuSalePrice, .productQuick-Price .kuSalePrice, .kuPrice .kuSalePrice{
    color:#000;
    font-family: Mont, Roboto, Helvetica Neue, Arial, sans-serif;
    font-size: 1.5rem;
    line-height: 2rem;
    letter-spacing: 0.05em;
}
.kuQuickSearchFacetedLayout .kuFilters, .kuSearchResultsPageContainer .kuFilters{
    font-family: Roboto, "Helvetica Neue", Arial, sans-serif;
}
.kuSearchResultsPageContainer .kuResults ul li .kuProdWrap .kuProdAdditional{
    display: none!important;
}
.klevuNoResultsRecs-itemPrice .klevuQuickPriceGreyText, .productQuick-Price .klevuQuickPriceGreyText, .kuPrice .klevuQuickPriceGreyText{
    display:none;
}

.kuResultsListing .kuFilters .kuFilterHead{
    color: #000;
    display: flex;
    text-transform: capitalize;
    font-size: 1.125rem;
    line-height: 1.75rem;
    font-weight: 600;
    border-bottom: 1px solid #000;
    padding-top: 0.75rem;
    padding-bottom: 0.75rem;
}
.kuResultsListing .kuFiltersTitleHeading{
    display:none;
}
.kuResultsListing .kuFilterBox .kuFilterNames ul li a{
    color: #000;
    margin: 5px 5px 5px 0;
}
.kuQuickSearchFacetedLayout .kuFilterBox .kuFilterNames ul li a span.kufacet-text,
.kuSearchResultsPageContainer .kuFilterBox .kuFilterNames ul li a span.kufacet-text{
    color: #000;
    font-size: 1rem;
}
.kuFilterBox .kuShowOpt .kuFilterDot{
    background-color: #000;
}
.kuResultsListing .kuFilterBox .kuShowOpt{
    bottom: -20px;
}
.kuSearchResultsPageContainer .kuResults ul li .kuProdWrap .kuProdBottom .kuPrice{
    margin-top: auto;
}
.kuSearchResultsPageContainer .kuResults ul li .kuProdWrap .kuProdBottom{
    height: 100%;
    display: flex;
    flex-direction: column;
}
.kuSearchResultsPageContainer .kuResults ul li .kuProdWrap .kuProdBottom .kuClippedOne{
    overflow: visible;
    display: block !important;
    -webkit-line-clamp: none;
    flex: 1;
}
.kuSearchResultsPageContainer .kuResults ul{
    display: flex;
    flex-wrap: wrap;
}
.kuLandingNoResults{
   max-width: 100%;
   font-family: Roboto, "Helvetica Neue", Arial, sans-serif;

}
.kuLandingNoRecordFound .kuLandingNoResultsMessage{
    font-size: 25px !important;
    margin-bottom: 40px;
    font-weight: 600;
}
.kuLandingNoRecordFound .klevuNoResultsRecs{
    padding-bottom: 30px;
}
.kuLandingNoRecordFound .klevuNoResultsRecs h3{
    padding-bottom: 30px;
    font-size: 20px;
    text-transform: none;
}
.kuLandingNoRecordFound .klevuNoResultsRecsResultsInner .klevuNoResultsRecs-item{
    border:0;
}
.kuLandingNoRecordFound .klevuNoResultsRecsResultsInner a.klevuNoResultsRecsTitle{
    color:#000;
    font-size: 1.125rem;
    line-height: 1.75rem;
    font-family: Mont, Roboto, Helvetica Neue, Arial, sans-serif;
}
@media (max-width: 1280px){
    .kuSearchResultsPageContainer .kuResults ul li{
        width:50%;
    }
}
.kuResultWrap .kuFilters .kuFilterBox{
    padding-bottom: 0;
}
.kuResultWrap .kuFilters .kuFilterNames {
    height: 0!important;
    overflow: hidden;
    display: none;
}
.kuResultWrap .kuFilters .kuFilterNames.kuFilterCollapse{
    height: 125px!important;
    margin-bottom: 30px;
    overflow: hidden;
    display: block;
    margin-top: 10px;
}
.kuResultWrap .kuFilters .kuFilterHead.kuCollapse:before{
    content:"";
    background-image: url("../../images/icon/arrow-down.svg");
    background-repeat: no-repeat;
    background-size: 100%;
    height: 20px;
    width: 22px;
    display: block!important;
    margin-left: auto;
    transform: rotate(0deg);
    order: 2;

}
.kuResultWrap .kuFilters .kuFilterHead.kuExpand:before{
    content:"";
    transform: rotate(180deg);
    background-image: url("../../images/icon/arrow-down.svg");
    background-repeat: no-repeat;
    background-size: 100%;
    height: 20px;
    width: 22px;
    display: block!important;
    margin-left: auto;
    order: 2;
}
